@media (max-width: 767px) {
    .container {
        padding: 0 16px;
    }
    .f-15 {
        font-size: 12px;
    }
    .f-22 {
        font-size: 16px;
    }
    h1 {
        font-size: 36px;
    }
    h2 {
        font-size: 32px;
    }
    h3 {
        font-size: 24px;
    }
    h4 {
        font-size: 18px;
    }
    h5 {
        font-size: 14px;
    }

    .btn {
        padding: 10px 16px;
    }

    /* Header */
    .custom-header {
        padding: 0;
        z-index: 9999;
    }
    .mobile-header .d-flex {
        gap: 30px;
    }
    .mobile-header a i {
        font-size: 18px;
    }
    .custom-header .navbar {
        background: #222;
        backdrop-filter: blur(4px);
        position: fixed;
        width: 100%;
        top: 0;
        margin: 0;
        right: 0;
        left: 100%;
        bottom: 0;
        height: 100%;
        padding: 60px 0;
        visibility: hidden;
        opacity: 0;
        transition: all ease-in-out 0.3s;
        z-index: 99;
    }

    .custom-header .back,
    .custom-header .search-bar {
        display: flex !important;
    }

    .custom-header .navbar.active {
        opacity: 1;
        left: 0;
        visibility: visible;
        transition: all ease-in-out 0.3s;
    }

    .nav-item .mega-menu.active {
        opacity: 1;
        left: 0;
        visibility: visible;
        transition: all ease-in-out 0.3s;
    }

    .custom-header .navbar a:not(.btn) {
        color: #fff;
        display: flex;
        justify-content: space-between;
        padding: 12px 0;
    }

    .custom-header .navbar .search-bar a {
        padding: 0;
    }

    .custom-header .navbar-collapse {
        align-items: flex-start;
        height: 100%;
        justify-content: space-between;
        padding: 0 30px;
        overflow-y: auto;
    }

    .contact-btns a {
        border-radius: 99px;
        background: rgba(0, 0, 0, 0.5);
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 42px;
        height: 42px;
    }

    .contact-btns {
        gap: 12px;
    }

    .menu-head {
        margin-bottom: 24px;
    }
    .close {
        font-size: 28px;
        position: absolute;
        top: 20px;
        right: 20px;
        padding: 0 !important;
        z-index: 999;
    }

    .custom-header .mega-menu .back {
        display: flex;
        align-items: center;
        border-radius: 99px;
        border: 1px solid #7c7171;
        position: absolute;
        top: 16px;
        left: 20px;
        width: 30px;
        height: 30px;
        padding: 0 !important;
        justify-content: center !important;
    }
    .mobile-only {
        margin-bottom: 20px;
    }
    .mobile-only hr {
        margin: 24px 0;
        border-top-color: #393933;
    }

    .nav-item .mega-menu {
        background: rgb(34 34 34);
        top: 0;
        position: fixed;
        z-index: 0;
        bottom: 0;
        padding: 60px 30px;
        transform: none;
        left: 100%;
        right: 0;
        transition: all ease-in-out 0.3s;
        visibility: hidden;
        opacity: 0;
    }
    .mega-menu .container {
        padding: 0;
    }
    .mega-menu a img {
        display: none;
    }
    .custom-header .navbar .mega-menu-models a:not(.back) {
        font-size: var(--bs-nav-link-font-size);
        height: auto;
        padding: 10px 20px;
    }
    .nav-item .mega-menu-models a {
        border-radius: inherit;
        background: inherit;
        box-shadow: none;
    }
    .mega-menu .back {
        font-size: 16px;
    }
    .mega-menu-models .row {
        row-gap: 4px;
    }

    .custom-header .navbar .cities a {
        padding: 8px 14px;
    }
    .custom-header .countries p {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 16px;
        margin-bottom: 0;
    }
    .custom-header .cities {
        display: none !important;
        padding: 16px;
    }
    .custom-header .cities.active {
        display: flex !important;
    }
    .custom-header .countries {
        gap: 0;
    }
    .custom-header .search-form {
        border: 1px solid #353431;
        background: #000;
        backdrop-filter: blur(6px);
        width: 100%;
    }
    .custom-header .search-bar {
        margin-bottom: 8px;
    }

    .select-btn {
        position: fixed;
        bottom: 0;
        left: 0;
        right: 0;
        padding: 24px;
    }

    .banner {
        padding: 211px 0 400px;
    }
    .banner p:first-child {
        letter-spacing: 2.4px;
        font-size: 12px;
    }
    .banner h1 {
        margin-bottom: 20px;
    }
    .banner .button-group {
        margin-bottom: 20px;
    }
    .banner .button-group ~ p {
        font-size: 14px;
    }

    .model-slider .slick-arrow, .review-slider .slick-arrow {
        width: 39px;
        height: 39px;
        background-repeat: no-repeat;
    }
    .model-slider .slick-prev, .review-slider .slick-prev {
        right: 45px;
    }
    .model-slider .slick-arrow {
        top: -40px;
    }
    .review-slider .slick-arrow {
        top: -60px;
    }
    .review-block .container {
        margin-bottom: 0px;
    }

    .model-tabs {
        margin-top: -335px;
    }
    .model-card h6 {
        margin-bottom: 0;
    }

    .model-img-block {
        border-radius: 8px;
        box-shadow: none;
    }
    .model-img-block .badge {
        font-size: 10px;
    }
    .model-tabs .tab-content {
        margin-bottom: 52px;
    }
    .model-tabs .nav-tabs {
        gap: 24px;
    }
    .model-tabs .nav-link, .countries .nav-link {
        padding: 16px 0;
    }

    .wishlist i {
        width: 18px;
        height: 18px;
        font-size: 18px;
    }
    .wishlist {
        padding: 10px;
        width: 38px;
        height: 38px;
        border-radius: 0 15px 0 15px;
    }

    .page-home .about-sec {
        padding: 80px 0 357px;
    }
    .about-sec {
        padding: 80px 0 80px;
    }
    .about-sec .col-12 {
        background-image: url(../img/common/grey-logo.svg);
        background-position: center center;
        background-size: 236px;
        background-repeat: no-repeat;
    }

    /* Cities Page */
    .cities {
        margin-bottom: 0;
    }
    .countries {
        gap: 15px;
    }
    .countries .nav-tabs {
        overflow-x: auto;
        gap: 24px;
        padding-bottom: 5px;
    }
    .page-models .city-block {
        margin-top: 0px;
    }
    .city-block {
        margin-top: -257px;
    }
    .city-block h2 {
        padding-right: 120px;
    }

    .operate-block {
        margin-top: -138px;
        padding: 203px 0 494px;
    }
    .sec-header {
        gap: 32px;
        margin-bottom: 20px;
    }

    .club-content-blk .d-flex {
        gap: 20px;
        padding: 20px 0 40px 0;
    }
    .exclusive-block {
        padding: 120px 0;
    }
    .exclusive-block-1 {
        padding: 120px 0 470px;
    }

    .exclusive-block-1 img {
        margin: 80px 0 60px;
    }
    .experience-block {
        padding: 200px 0 120px;
    }

    .video-block {
        margin-bottom: -98px;
        border-radius: 10px;
        overflow: hidden;
    }

    .play-btn img {
        max-width: 64px;
    }
    
    .discover-block {
        padding: 76px 0 100px;
    }
    .discover-content {
        margin-bottom: 50px;
    }
    .discover-content .col, .discover-content {
        gap: 40px;
    }

    .ex-content {
        gap: 20px;
    }

    .vip-content h2 {
        font-size: 24px;
    }
    .vip-content .centered-text {
        text-align: left;
        margin-bottom: 20px;
        justify-content: start;
    }
    .vip-content {
        padding-bottom: 92px;
    }
    .vip-club-block h3 {
        margin-bottom: 40px;
    }
    
    .centered-text h2, .centered-text p {
        font-size: 24px;
    }

    .vip-club-block {
        padding: 240px 0 400px 0 !important;
        margin-top: -380px;
    }
    div:not(.vip-club-block) .centered-text {
        justify-content: start;
    }
    div:not(.vip-club-block) .centered-text h2 {
        padding: 0 40px 0 0;
    }
    div:not(.vip-club-block) .centered-text::before, div:not(.vip-club-block) .centered-text::after {
        content: none;
    }

    div.vip-club-block .centered-text {
        justify-content: center;
    }
    div.vip-club-block .centered-text h2 {
        padding: 0 32px;
    }
    div.vip-club-block .centered-text:before, div.vip-club-block .centered-text:after {
        content: "";
    }


    .exclusive-block img {
        margin: 80px 0 40px;
    }

    .page-models .testimonials {
        margin-top: -170px;
    }
    .testimonials {
        margin-top: -366px;
    }

    .rev-content {
        padding: 60px 32px;
    }
    .rev-content p:first-child {
        font-size: 14px;
    }
    .rev-content p {
        font-size: 16px;
        line-height: 1.4;
        text-align: left !important;
    }

    .review-slider {
        margin: 0;
    }

    .review {
        padding: 0;
        box-shadow: none;
    }

    .review-slider .slick-arrow {
        top: auto;
        bottom: 42px;
        right: 32px;
    }

    .review-slider .slick-prev {
        right: 80px;
    }

    .rev-img img {
        width: auto;
        height: 100%;
        box-shadow: none;
    }
    .rev-img {
        height: 100%;
        width: 100%;
    }

    .review-slider ul.slick-dots {
        left: auto;
        top: 50px;
        right: 32px;
    }
    .review-slider .slick-dots li button,
    .review-slider .slick-dots li {
        width: 8px;
        height: 8px;
    }
    .review-slider .slick-dots li button {
        padding: 4px;
    }

    /* Blog */
    .page-home .blog {
        margin-top: -380px;
    }
    .page-contact .blog {
        margin-top: -420px;
    }

    .blog {
        position: relative;
        z-index: 999;
    }
    .faq-block {
        padding: 300px 0 80px;
        margin-top: -260px;
    }
    .faq-block p {
        margin-bottom: 20px;
    }
    .blog h4 {
        letter-spacing: -0.32px;
        font-size: 15px;
    }
    .blog p, .blog h4 {
        margin: 8px 0;
    }
    .blog .model-slider {
        margin-bottom: 32px;
    }

    /* Blog Post Page */
    .page-post .widget-block .items {
        z-index: 999;
    }
    
    .newsletter {
        margin-bottom: 32px;
    }
    .footer-links p {
        margin-bottom: 32px;
    }

    .city-guide {
        margin-top: 24px;
    }

    .city-guide p {
        font-size: 12px;
        margin-bottom: 20px;
    }
    .footer-links a {
        font-size: 14px;
    }
    .footer-links a + a {
        margin-top: 10px;
    }

    .footer-links .col-12 p {
        margin-bottom: 20px;
        font-size: 14px;
    }
    .mobile-links p {
        width: 100%;
    }
    .mobile-links {
        display: flex;
        flex-wrap: wrap;
        row-gap: 10px;
    }
    .mobile-links a {
        width: 50%;
        margin: 0;
    }

    .mobile-links a + a {
        margin: 0;
    }

    .contact-info a + a {
        margin-top: 11px;
    }

    .footer-widget-1 p {
        font-size: 10px;
    }

    .vip-card p {
        font-size: 16px;
    }
    .vip-card.model-card {
        margin: 0;
        height: 236px;
        min-height: auto;
    }
    .vip-card.model-card p {
        top: 48px;
        font-size: 11px;
    }
    .vip-card.model-card {
        margin-bottom: 20px;
    }
    .page-models .models h6 {
        margin-bottom: 0;
        font-size: 18px;
    }

    .page-models .banner {
        padding: 200px 0 !important;
    }

    .page-models .banner h1 {
        margin-bottom: 60px;
    }
    .model-card.vip-card p {
        font-size: 16px;
    }

    .page-models .wishlist i {
        width: 16px;
        height: 16px;
        font-size: 16px;
    }

    .page-models .int-models .centered-text {
        margin-bottom: 20px;
    }
    .int-models {
        padding: 30px 0 0;
    }

    .text-block {
        min-height: 520px;
        position: relative;
        padding: 0 44px;
    }
    .text-block .text-end {
        text-align: left !important;
    }
    .text-over-block h2 {
        font-size: 34px;
    }
    .text-over-block p {
        font-size: 18px;
    }
    .text-over-block .col-md-7.col-12 {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        width: 100%;
        height: 100%;
    }
    .text-over-block .img-block {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        width: 100%;
        height: 100%;
    }
    
    /*Page Why Us*/
    .page-why-us .video-block .video {
        height: 198px;
    }
    .page-why-us .banner {
        padding: 200px 0 147px !important;
    }
    .page-why-us .video-block {
        margin-bottom: 0;
        margin-top: -90px;
    }
    .page-why-us .text-over-block, .text-over-block {
        padding: 200px 16px 140px;
    }
    .page-why-us .text-over-block {
        margin-top: -108px;
    }
    .page-why-us .text-block-odd .col-md-6:nth-child(2) {
        position: absolute;
        width: 100%;
        height: 100%;
    }
    .page-why-us .text-block-even .col-md-6:first-child {
        position: absolute;
        width: 100%;
        height: 100%;
    }
    .page-why-us .text-over-block h2 {
        white-space: pre-wrap
    }
    .page-why-us .text-block {
        padding: 0 12px;
    }
    .page-why-us .text-over-block h2 span {
        display: block;
    }
    .page-why-us .text-over-block h2, .page-why-us .text-over-block p, .text-over-block h2, .text-over-block p {
        margin-right: auto;
        margin-left: auto;
    }
    .text-block + .text-block {
        margin-top: 20px;
    }
    .contact-block {
        padding: 80px 0;
    }
    .plans-inner {
        background-color: transparent !important;
    }
    .plans-inner .slick-list {
        overflow: visible;
    }
    .plans-inner .plan {
        border-radius: 15px;
        border: 1px solid var(--Color, #393933);
        background: var(--Primary-dark, #000);
        box-shadow: 0 17px 30px -5px rgba(0, 0, 0, 0.25);
        padding: 28px 24px;
        margin: 0 8px;
        height: 470px;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: center;
    }
    .plans-inner .slick-active .plan {
        background: #222;
        height: 570px;
        margin-top: -65px;
    }
    .page-plans .text-over-block {
        margin-top: -446px;
        padding-top: 450px;
    }
    .plan p {
        margin-bottom: 0;
    }
    .plan .btn-white {
        padding: 8px 24px;
    }
    .plan .btn-red {
        width: 100%;
    }
    .page-plans .banner {
        padding: 170px 0 100px;
    }
    .plans-block {
        margin-top: -68px;
    }
    .plans-inner, .bottom-plans .plans-inner {
        padding: 90px 20px;
    }
    .page-plans .testimonials {
        padding: 40px 0 0;
        margin-bottom: -277px;
    }
    .bottom-plans {
        padding: 320px 0 80px;
    }

    /*Booking Page*/
    .booking-form-block {
        background: linear-gradient(180deg, rgba(34, 34, 34, 0) 0%, #222 14.89%) !important;
        backdrop-filter: blur(4px);
        margin-top: -90px;
    }
    .booking-form {
        padding-left: 0;
    }
    .booking-form-inner {
        padding: 36px 8px 80px;
        border-top: 0;
        background-color: transparent;
        position: static;
    }
    .page-booking .banner {
        padding: 200px 0 247px;
    }
    .page-booking .banner p {
        font-size: 14px;
        color: #fff;
    }
    .page-booking .duo_location {
        margin-top: -30px;
        padding-bottom: 65px;
    }
    .booking-form form {
        margin-bottom: 60px;
    }
    .booking-form-inner .contact-info a {
        font-size: 16px;
    }
    form .btn {
        width: 100%;
        padding: 12px 24px;
        font-size: 16px;
    }
    .newsletter form .btn {
        width: auto !important;
    }
    .booking-form textarea.form-control {
        height: 162px;
    }
    .content-section .row + .row {
        margin-top: 40px;
    }
    .content-section {
        padding: 80px 0;
    }
    .map-block .col-12 + .col-12 {
        margin-top: 40px;
    }
    iframe#location_map {
        height: 328px;
        border-radius: 10px;
    }
    .booking-form-block {
        padding-bottom: 0;
    }

    /*Login Page*/
    .login-form {
        padding: 40px 30px 40px;
    }
    .signup-sec .login-form {
        padding: 40px 30px;
    }

    /*Blog Page*/
    .articles {
        padding: 0 0 120px;
    }
    .pagination {
        margin-top: 40px;
    }
    .post {
        padding: 0 12px;
    }
    .post-img {
        margin-bottom: 20px;
    }
    .post p, .post span {
        font-size: 14px;
    }
    .page-blog .page-header {
        padding-bottom: 30px;
    }
    .widget-block + .widget-block {
        margin-top: 0;
    }
    .widget-heading {
        margin: 0;
        padding: 12px 22px;
        border: 1px solid #7c7171;
        border-radius: 99px;
        backdrop-filter: blur(12px);
        display: flex;
        justify-content: space-between;
        font-size: 16px;
    }
    .widgets-sec {
        gap: 20px;
        margin-bottom: 40px;
    }
    .widget-block {
        position: relative;
    }
    .widget-block hr {
        display: none;
    }
    .widget-block .items {
        display: none;
        padding: 20px !important;
        backdrop-filter: blur(12px);
        margin-bottom: 0;
        background-color: #000;
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
    }
    .widget-block .items a {
        border: 0;
        padding: 0;
    }
    .widget-heading.active {
        border-radius: 20px 20px 0 0;
    }
    .widget-heading i {
        transition: all ease-in-out 0.3s;
    }
    .widget-heading.active i {
        transform: rotate(180deg);
        transition: all ease-in-out 0.3s;
        transform-origin: center;
    }
    .widget-block .items.active {
        border-radius: 0 0 20px 20px;
    }
    .post + .post {
        margin-top: 40px;
    }
    .post-head {
        gap: 40px;
    }
    .post-thumb {
        height: 182px;
    }
    .page-blog .post-header, .page-post .post-header {
        padding: 40px 0;
    }

    .models-list .row {
        row-gap: 20px;
    }

    .article-nav {
        padding: 20px 25px;
    }

    .article-nav a {
        color: #222;
    }

    .article-nav p {
        margin: 0;
    }

    .article-nav .col-6 + .col-6 {
        border-left: 1px solid var(--copy, #a39898);
    }

    .post-content {
        padding: 60px 0;
    }

    .post-content-inner {
        padding-right: 0;
    }
    .social-icons {
        margin-bottom: 40px;
    }

    .page-post .widget-heading {
        border-color: #a39898;
        color: #a39898;
    }

    .page-post .widget-block .items {
        background-color: #fff;
        border: 1px solid #a39898;
    }

    .content-sec {
        padding: 120px 0;
    }

    .content-sec .img-shadow {
        margin-bottom: 40px;
    }

    .page-faq .banner {
        padding: 200px 0;
    }

    .faq-sec .container {
        padding: 0;
    }
    .faq-inner {
        padding: 20px 24px;
    }

    .page-service .banner {
        padding: 200px 0;
    }

    .service-blk {
        padding: 40px 24px;
    }

    .service-head .container {
        padding: 0;
    }

    .service-head h3 {
        font-size: 28px;
    }

    .service-head-inner {
        padding: 40px 24px;
    }

    .service-content h2, .service-blk h2 {
        font-size: 28px;
        text-align: center;
        margin: 0 0 20px;
        padding: 0;
    }

    .service-content, .service-blk:nth-of-type(2n + 1) .service-content {
        margin-right: 0;
        padding: 40px;
        margin-top: -60px;
        position: relative;
        height: auto;
        margin-left: 0;
    }
    .service-head-inner p, .service-content p {
        font-size: 16px;
    }

    .service-img {
        margin: 0 -24px;
        max-height: 260px;
        padding: 0;
    }

    .service-img img {
        box-shadow: none;
        border-radius: 0;
    }

    .service-head .video-block .container {
        padding: 0 24px;
    }

    .service-head .video-block {
        padding: 20px 0 40px;
    }

    /*About Page*/
    .page-about .banner,
    .page-testimonials .banner,
    .page-experience .banner,
    .page-escort .banner {
        padding: 200px 0;
    }

    .rev-content p:first-child {
        font-size: 22px;
    }
    .service-head .review-block .container {
        padding: 0 24px;
    }
    .review-block p.review-title {
        margin-bottom: 20px !important;
    }
    .review-block .review-slider ul.slick-dots {
        left: 0;
        top: auto;
        bottom: 59px;
        right: auto;
        display: flex;
        width: 100%;
    }
    .review-block .review {
        padding: 40px 0 0;
    }
    .review-block .review-slider .slick-arrow {
        top: auto;
        bottom: 22px;
        right: 0;
    }
    .review-block .review-slider .slick-prev {
        right: 50px;
    }
    .review-head {
        margin: 0;
    }
    .review-block .review-slider {
        margin: 0;
        padding: 0 0 130px;
    }

    .service-head .contact-block {
        border-radius: 0;
        padding: 192px 28px 150px;
        margin-bottom: 40px;
    }
    .service-head .contact-block h3 {
        font-size: 28px;
    }

    /*Reviews Page*/

    .submit-review-btn {
        margin-top: 30px;
    }

    .page-testimonials .service-blk {
        padding: 0 24px;
    }

    .page-testimonials .service-img {
        display: none;
    }

    .page-testimonials .service-content,
    .page-testimonials .service-blk:nth-of-type(2n + 1) .service-content {
        margin-top: 0;
        padding: 32px;
    }

    .page-testimonials .service-blk + .service-blk {
        margin-top: 20px;
    }
    .review-form {
        padding: 0 8px;
    }
    .submit-review {
        padding: 80px 0;
    }

    .submit-review form .btn {
        width: auto;
    }

    .page-experience .widget-heading {
        font-size: 14px;
    }
    .mobile-btn {
        margin: 80px 0 40px;
    }
    .page-experience .service-img img {
        box-shadow: 0 17px 30px -5px rgba(0, 0, 0, 0.25);
        border-radius: 10px;
    }
    .page-experience .service-img {
        margin: 0;
    }
    .page-experience .service-content, .page-experience .service-blk:nth-of-type(2n + 1) .service-content {
        margin: 0;
        padding: 40px 0 0;
        background-color: transparent;
    }
    .page-experience .service-blk {
        padding: 40px 0;
    }
    .page-experience .service-content h2, .page-experience .service-blk h2 {
        text-align: left;
    }

    .page-experience .service-head-inner p,
    .page-experience .service-content p {
        font-size: 14px;
    }

    .page-experience .contact-block p.f-22 {
        font-size: 18px;
        margin: 30px 0;
    }
    .page-experience .contact-block {
        padding: 40px 24px;
    }

    .escort-content .container {
        padding: 0 24px;
    }

    .post-content hr {
        margin: 40px 0;
    }

    .escort-content .post-img {
        height: 240px;
    }

    .post-content p,
    .post-content li {
        font-size: 14px;
    }

    .escort-content .conclusion-blk {
        border-radius: 0;
        margin: 64px -24px;
    }
    .escort-content {
        padding-bottom: 60px;
    }
    .post-menu {
        border: 1px solid var(--Primary-golden-dark-alt, #7c7171);
        backdrop-filter: blur(12px);
        color: #7c7171;
        padding: 14.5px 22px;
        display: flex;
        justify-content: space-between;
        width: 100%;
        border-radius: 99px;
        font-size: 16px;
        margin-bottom: 30px;
        transition: all linear 0.3s;
    }
    .post-menu.active {
        transition: all linear 0.3s;
    }


    /*Page Details*/
    .post-header h3 + p {
        font-size: 12px;
    }
    .details-head h4 {
        margin-bottom: 0;
    }
    .page-details .contact-block {
        padding: 200px 24px 150px;
        margin: 0 -16px 80px;
        border-radius: 0;
    }
    .page-details .contact-block h3 {
        margin-bottom: 46px;
    }


    .model-gallery, .tags {
        padding-right: 0;
    }
    .gallery-slider {
        margin-right: 0;
        display: none;
    }
    .gallery-slider .slick-slide {
        padding: 0 8px;
    }
    .main-images .col-6, .model-gallery .col-6 {
        padding: 0 4px;
    }
    .model-gallery {
        padding: 0;
    }
    .tags {
        margin: 40px 0;
    }

    .model-card-container {
        margin-bottom: 24px;
    }
    .model-details .int-models {
        margin: 0 -16px 0 -8px;
    }
    .model-details .vip-slider {
        padding-bottom: 40px;
    }
    .page-details .model-details .vip-slider {
        padding-bottom: 40px;
        margin-bottom: 0;
    }
    .page-details .post-header {
        padding: 158px 0 30px;
    }

    .model-details .int-models {
        padding-top: 55px;
    }
    .model-details .model-gallery {
        margin: -170px 0 40px;
    }
    .model-details .button-group {
        padding: 0 8px;
    }
    .model-details .row {
        margin: 0 -12px;
    }
    .model-details {
        padding: 20px 0;
    }


    .action-btns {
        gap: 12px;
    }
    .page-contact .banner {
        padding: 200px 0;
    }
    .contact-form-inner {
        padding: 40px 16px;
    }
    .contact-form-inner .step-count, .contact-form-inner h2 {
        text-align: center;
    }
    .page-contact .contact-form-block .contact-info{
        padding: 40px 0 0;
    }

    /* Other Popup */
    .popup img, .popup .plyr--video {
        height: auto;
        width: 100%;
    }
    
    /* Review Popup */
    .popup.review_popup .close {
        top: 65px;
        right: 25px;
    }

    /* TOC */
    .left-nav {
        display: none;
        padding: 24px;
        border: 1px solid var(--Primary-golden-dark-alt, #7c7171);
        border-radius: 0 0 20px 20px;
        position: absolute;
        width: calc(100% - 24px);
        background-color: #fff;
        z-index: 99;
    }
    #toc {
        position: relative;
        width: 100%;
        top: auto;
        margin-bottom: 40px;
    }
    #toc .nav-link {
        display: none;
        padding: 12px 16px;
        border-top: none;
        text-decoration: none;
    }
    #toc:hover a {
        display: block;
    }
    #toc .nav-link + .nav-link {
        margin: 0;
    }
    #toc .nav-link.active,
    #toc .nav-link {
        border: 0;
    }

    /* Filters */
    .filters {
        position: fixed;
        background: #222;
        top: -100%;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 100%;
        padding: 60px 30px 30px;
        display: flex;
        flex-direction: column;
        visibility: hidden;
        opacity: 0;
        transition: all linear 0.3s;
    }
    .filters.active {
        visibility: visible;
        opacity: 1;
        top: 0;
    }
    a.close-filter {
        color: #7C7171;
        font-size: 28px;
        position: absolute;
        top: 20px;
        right: 20px;
        line-height: 1;
        z-index: 9999;
    }

    .filter-dropdown {
        transform: none;
        position: fixed;
        border: 0;
        transition: none;
    }
    .filter-dropdown.active {
        position: fixed;
        left: 0;
        right: 0;
        top: 0;
        margin: 0 auto;
        width: 100%;
        height: 100%;
        transform: none;
        backdrop-filter: none;
        padding: 60px 18px;
    }
    .filter-dropdown .cities {
        margin-bottom: 0;
        padding: 16px;
    }
    .filter-dropdown .btn {
        position: absolute;
        width: 100%;
        left: 0;
        right: 0;
        margin: 0 auto;
        max-width: 312px;
        bottom: 30px;
    }
    .filter-dropdown .countries {
        gap: 0;
    }
    .filter-dropdown .countries p {
        font-size: 16px;
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 16px;
        margin: 0;
    }
    .filter-dropdown .features {
        gap: 10px;
        padding: 16px 0;
    }
     .filter-dropdown .search-form {
        border: 1px solid #353431;
        backdrop-filter: blur(12px);
    }
    .filter-dropdown .search-bar {
        padding: 0 12px;
        margin-bottom: 8px;
    }
    .filter-dropdown .search-bar a {
        color: #E8E6CA;
        right: 36px;
    }
    .filter-dropdown .back-btn {
        border: 1px solid #7C7171;
        display: flex;
        width: 30px;
        height: 30px;
        border-radius: 99px;
        color: #7c7171;
        align-items: center;
        justify-content: center;
        position: fixed;
        top: 20px;
        left: 20px;
    }

    .filters .form-group {
        padding: 0;
    }
    .filters .form-group + .form-group {
        border-left: 0;
        padding-left: 12px;
        margin-top: 20px;
        padding-left: 0
    }
    .filters h3 {
        margin-bottom: 30px;
        padding: 0 12px;
    }
    .filters h5 {
        padding: 0;
        font-size: 26px;
        margin-bottom: 30px;
    }
    .filters-block {
        border-radius: 0;
        border: 0;
        background: transparent;
        backdrop-filter: none;
        padding: 0;
        height: 100%;
        margin-bottom: 52px;
        max-height: 85%;
        overflow-y: auto;
        backdrop-filter: none;
    }
    .filters-block.active {
        backdrop-filter: none;
        background: transparent;
        border: 0;
        border-radius: 0;
    }
    .filters-block select {
        background-color: transparent;
        padding: 16px 22px;
        width: 100%;
        border: 1px solid #393933 !important;
        border-radius: 50px;
    }
    .filters-block .custom-radio {
        font-size: 16px;
    }
    .filters-block .row {
        height: 100%;
        justify-content: space-between;
        height: auto;
        margin: 0 auto;
    }
    .filters-block .btn {
        width: 100%;
    }
    .filter-overflow {
        padding-left: 0;
    }
    .filter-nav {
        display: flex;
        justify-content: space-between;
        padding: 16px 22px;
        border: 1px solid var(--Color, #393933);
        border-radius: 99px;
        backdrop-filter: blur(12px);
    }


    /* Terms Page */
    .page-terms .banner {
        padding: 211px 0 200px !important;
    }

    /* Search Box */
    .search-box input {
        font-size: 1.3rem;
    }
    .search-btn {
        font-size: 1.8rem;
    }

    
    /* Homepage - Unique Experiences */
    .city-card.h-full .model-img-block {
        padding-top: 43%;
        height: auto;
    }
    .city-card.h-half .model-img-block {
        padding-top: 43%;
        height: auto;
    }

    /* Headings */
    .vip-club-block h2 {
        font-size: 24px;
    }
    .vip-club-block h3 {
        font-size: 16px;
    }

    .city-block h2 {
        font-size: 24px;
    }
    .city-block h3 {
        font-size: 18px;
    }
    
    .discover-block h2 {
        font-size: 24px;
    }
    .discover-block h3 {
        font-size: 18px;
    }

    .faq-block h2 {
        font-size: 24px;
    }

    .content-sec.plain-content-sec h2 {
        font-size: 26px;
    }
    .content-sec h2 {
        font-size: 20px;
    }

    .about-sec h2 {
        font-size: 28px;
    }

    .blog h2 {
        font-size: 25px;
    }
    .blog h3 {
        font-size: 16px;
        line-height: 1.6rem;
    }

    .operate-block h2 {
        font-size: 30px;
        margin-bottom: 0px;
    }

    .video-block h2 {
        font-size: 24px;
    }

    .page-testimonials h2 {
        font-size: 30px;
    }
}